import           Control.Concurrent
import           Control.Monad
import           Data.Text hiding (head)
import qualified Graphics.UI.SDL.TTF as TTF
import           Linear.V2
import           Linear.V4
import           SDL
import           SDL.Compositor
import           SDL.Raw (Color(..))
import           System.Environment

main = do
  void TTF.init
  initializeAll
  args <- getArgs
  let fontPath = head args
  font <- TTF.openFont fontPath 36
  window <- createWindow (pack "Testwindow") defaultWindow
  rend <- createRenderer window (-1) defaultRenderer
  let hello = withFont font $
              showText AlignLeft (Color 255 255 255 255) (pack "Hello, World!")
      rectangle = filledRectangleC (V2 400 200) (rgba 255 0 0 255)
  clear rend
  runRenderer rend (translateA (V2 400 300) $
                    preserveBlendMode BlendAlphaBlend $
                    (hello `overC` rectangle))
  present rend
  threadDelay (5*1000000)
  TTF.quit
  quit
  
  
  
